# IDEA IDE
.idea/

# User-specific stuff:
.idea/**/workspace.xml
.idea/**/tasks.xml
.idea/dictionaries

# Sensitive or high-churn files:
.idea/**/dataSources/
.idea/**/dataSources.ids
.idea/**/dataSources.xml
.idea/**/dataSources.local.xml
.idea/**/sqlDataSources.xml
.idea/**/dynamic.xml
.idea/**/uiDesigner.xml

# Gradle:
.idea/**/gradle.xml
.idea/**/libraries

# Mongo Explorer plugin:
.idea/**/mongoSettings.xml

## File-based project format:
*.iws

# MAC cache files
.DS_Store

## Plugin-specific files:

# IntelliJ
/out/

# mpeltonen/sbt-idea plugin
.idea_modules/

# vscode config
.vscode

# JIRA plugin
atlassian-ide-plugin.xml

#-----------------------------------
# Golang

# Binaries for programs and plugins
*.exe
*.dll
*.so
*.dylib

# Test binary, build with `go test -c`
*.test

# Output of the go coverage tool, specifically when used with LiteIDE
*.out

# Project-local glide cache, RE: https://github.com/Masterminds/glide/issues/736
.glide/

# GO compiled
/pkg/

# GO binaries
/bin/

# GO vendoring
/vendor/

# Project autogenerated documentation
/doc/

#-----------------------------------
# General

out.log

# generated binary
/main


# Autogenerated by go-bindata
# bindata.go

# Autogenerated strings by stringer for const values (enums)
/src/**/*_string.go

# Autogenerated files by go-enum for enum values.
/src/**/*_enum.go

# Binary tools
tools/bin/

# Build folders and files
/build/

todo.md

/logs/

conf.toml

src/client/api/rest/docs

.gitlab-ci-local

*conf.toml

diffs

.linter_version.txt

multiDBLogs/
